﻿ @import "../../../Utilities/Index";
.app__wizard {
    @include bem-e("wrapper") {
        padding: $padding-default * 3 $padding-default;
        $right-padding: 60px;
        padding-right: $right-padding;
        position: relative;

        &:before {
            background: $color-border;
            background: linear-gradient(0deg, rgba(255,255,255,0) 0%, $color-border 55%, rgba(255,255,255,0) 100%);
            content: "";
            height: 100%;
            position: absolute;
            right: $right-padding + 10px;
            top: 0;
            width: 1px;
            z-index: 1;
        }
    }

    @include bem-e("item") {
        color: $color-text--light;
        cursor: default;
        font-size: 14px;
        margin-bottom: 15px;
        position: relative;
        z-index: 2;

        &:last-child {
            margin-bottom: 0;
        }

        &:before {
            $size: 20px;

            background: $color-border;
            border-radius: 50%;
            content: "";
            color: $color-white;
            display: inline-block;
            height: $size;
            margin-left: 10px;
            text-align: center;
            vertical-align: middle;
            width: $size;
        }

        @include bem-m("passed") {
            &:before {
                background-color: $color-success;
                content: "\2713";
            }
        }

        @include bem-m("active") {
            color: $color-text;
            font-weight: bold;

            &:before {
                background-color: $color-info;
            }
        }
    }
}